# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-flask-kvsession
Version:        0.6.1
Release:        2%{?dist}
Summary:        Server-side session replacement for Flask

License:        MIT
URL:            https://github.com/mbr/flask-kvsession
Source0:        flask-kvsession-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       python-flask
Requires:       python-simplekv

%description
Flask-KVSession is an MIT-licensed server-side session replacement for Flask's
signed client-based session management. Instead of storing data on the client
only a securely generated ID is stored on the client, while the actual session
data resides on the server.

This has two major advantages:

- Clients no longer see the session information
- It is possible to securely destroy sessions to protect against replay
  attacks.

Other things are possible with server side session that are impossible with
clients side sessions, like inspecting and manipulating data in absence of the
client.

Flask-KVSession uses the simplekv-package for storing session data on a variety
of backends, including redis, memcached, SQL databases using SQLAlchemy,
mongoDB or just flat files.


%prep
%setup -q -n flask-kvsession-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc LICENSE README.rst docs
%{python_sitelib}/*


%changelog
* Tue Nov 25 2014 Howard Johnson <merlin@merlinthp.com> 0.6.1-2
- Missing BRs

* Sun Nov 09 2014 Howard Johnson <merlin@merlinthp.com> 0.6.1-1
- Initial package

